%global pypi_name os-brick
Summary:        OpenStack Cinder brick library for managing local volume attaches
Name:           python-%{pypi_name}
Version:        4.3.2
Release:        2%{?dist}
License:        Apache-2.0
URL:            https://docs.openstack.org/%{pypi_name}
Source0:        %{pypi_source}

BuildArch:      noarch

%description
Volume discovery and local storage management lib

%package -n python3-%{pypi_name}
Summary:        OpenStack Cinder brick library for managing local volume attaches
BuildRequires:  python3-devel python3-setuptools python3-pbr python3-pip
BuildRequires:  python3-wheel python3-eventlet python3-oslo-concurrency python3-oslo-context
BuildRequires:  python3-oslo-i18n python3-requests python3-oslo-log python3-tenacity
BuildRequires:  python3-oslo-privsep python3-oslo-serialization python3-oslo-service python3-oslo-utils
Requires: python3-eventlet python3-oslo-concurrency
Requires: python3-oslo-context python3-oslo-i18n python3-oslo-log python3-oslo-privsep python3-tenacity
Requires: python3-oslo-serialization python3-oslo-service python3-oslo-utils python3-pbr python3-requests
Provides:       python-%{pypi_name}

%description -n python3-%{pypi_name}
Volume discovery and local storage management lib

%prep
%autosetup -n %{pypi_name}-%{version}

# remove reuqire to python-os-win
sed -i '/os-win/d' requirements.txt

%build
%py3_build

%install
%py3_install
install -d -m 755 %{buildroot}%{_datarootdir}/%{pypi_name}/rootwrap
mv %{buildroot}/usr/etc/%{pypi_name}/rootwrap.d/*.filters \
    %{buildroot}%{_datarootdir}/%{pypi_name}/rootwrap

install -d -m755 %{buildroot}/%{_pkgdocdir}
cp -arf doc %{buildroot}/%{_pkgdocdir}

%files -n python3-%{pypi_name}
%{python3_sitelib}/os_brick
%{python3_sitelib}/*.egg-info
%{_datarootdir}/%{pypi_name}
%{_docdir}/*

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.3.2-2
- Rebuilt for OpenCloudOS Stream 23.05

* Wed Apr 19 2023 Shuo Wang <abushwang@tencent.com> - 4.3.2-1
- initial build
